aboutsummaryrefslogtreecommitdiffstats
path: root/target/linux/ar71xx/base-files/lib/upgrade/platform.sh
diff options
context:
space:
mode:
Diffstat (limited to 'target/linux/ar71xx/base-files/lib/upgrade/platform.sh')
-rwxr-xr-xtarget/linux/ar71xx/base-files/lib/upgrade/platform.sh8
1 files changed, 2 insertions, 6 deletions
diff --git a/target/linux/ar71xx/base-files/lib/upgrade/platform.sh b/target/linux/ar71xx/base-files/lib/upgrade/platform.sh
index 4e698c6f68..57803ccd9d 100755
--- a/target/linux/ar71xx/base-files/lib/upgrade/platform.sh
+++ b/target/linux/ar71xx/base-files/lib/upgrade/platform.sh
@@ -306,12 +306,8 @@ platform_check_image() {
return 0
;;
wndr4300 )
- nand_do_upgrade_stage1 $board $1
- [ $? != 0 ] && {
- echo "Invalid tar file."
- return 1
- }
- return 0;
+ nand_do_platform_check $board $1
+ return $?;
;;
routerstation | \
routerstation-pro | \